{% extends "base.html" %}
{% block main %}

<h1>{{ title }}</h1>

{% if choix == "Albums" or choix == "Année" %}
<div class="sample">
    {% for w in range(0, contenu|length, 5) %}
      <div class="card-deck" style="margin-bottom: 30px;width:{{width}}%">
        {% for x in contenu[w:w+5] %}
        <div class = "card" style="width: auto;box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);margin-bottom: auto;">
            <a href ="{{ url_for('song',id = x['id']) }}">
                <img class = "card-img-top" src="{{ url_for('static', filename='images/'+x.img) }}" alt={{x.title}} style="width:100%;height: 200px;">
                <p class="text-center" style="margin-bottom: auto;">{{ x.title }}</p>
            </a>
        </div>
        {% endfor %}
      </div>
    {% endfor %}
</div>

{% elif choix == "Artistes" %}
<div class="row">
  {% for x in contenu %}
  <div class="col-xs-6 col-sm-4 col-md-2 myimg">
  <a href="{{ url_for('artist',id = x.id) }}">
      <p>{{ x.name }}</p>
  </a>
  </div>
  {% endfor %}
</div>

{% elif choix == "Genres" %}
<div class="row">
  {% for x in contenu %}
  <div class="col-xs-6 col-sm-4 col-md-2 myimg">
    <a href="{{ url_for('genre', name = x) }}"><p>{{ x }}</p></a>
  </div>
  {% endfor %}
</div>

{% endif %}

{% endblock %}

{% block scripts %}
  {{ super() }}
  <script type="text/javascript">
    var curtab = "songs-tab";
  </script>
{% endblock %}